Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Interface MouseListener

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  MouseInputListener

All Known Implementing Classes:
  AWTEventMulticaster, BasicButtonListener, BasicInternalFrameUI.GlassPaneDispatcher, BasicListUI.MouseInputHandler, BasicMenuItemUI.MouseInputHandler, BasicMenuUI.MouseInputHandler, BasicTableHeaderUI.MouseInputHandler, BasicTableUI.MouseInputHandler, BasicToolBarUI.DockingListener, BasicTreeUI.MouseInputHandler, DefaultCaret, MouseAdapter, MouseDragGestureRecognizer, MouseInputAdapter

public interface MouseListener
extends EventListener

The listener interface for receiving "interesting" mouse events (press, release, click, enter, and exit) on a component. (To track mouse moves and mouse drags, use the `MouseMotionListener`.)

The class that is interested in processing a mouse event either implements this interface (and all the methods it contains) or extends the abstract `MouseAdapter` class (overriding only the methods of interest).

The listener object created from that class is then registered with a component using the component's `addMouseListener` method. A mouse event is generated when the mouse is pressed, released clicked (pressed and released). A mouse event is also generated when the mouse cursor enters or leaves a component. When a mouse event occurs, the relevant method in the listener object is invoked, and the `MouseEvent` is passed to it.

Since:
  1.1
See Also:
  `MouseAdapter`, `MouseEvent`, Tutorial: Writing a Mouse Listener, Reference: The Java Class Libraries (update file)

Method Summary
`void` | `mouseClicked(MouseEvent e)` Invoked when the mouse button has been clicked (pressed and released) on a component.
`void` | `mouseEntered(MouseEvent e)` Invoked when the mouse enters a component.
`void` | `mouseExited(MouseEvent e)` Invoked when the mouse exits a component.
`void` | `mousePressed(MouseEvent e)` Invoked when a mouse button has been pressed on a component.
`void` | `mouseReleased(MouseEvent e)` Invoked when a mouse button has been released on a component.

Method Detail

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Invoked when the mouse button has been clicked (pressed and released) on a component.

### mousePressed

    public void mousePressed(MouseEvent e)

  Invoked when a mouse button has been pressed on a component.

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Invoked when a mouse button has been released on a component.

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Invoked when the mouse enters a component.

### mouseExited

    public void mouseExited(MouseEvent e)

  Invoked when the mouse exits a component.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.